// file: isip_svm_classify.h
//
// this is the header file for the isip_recognize utility
//
// make sure the file is included only once
//
#ifndef ISIP_UTIL_SVM_CLASSIFY
#define ISIP_UTIL_SVM_CLASSIFY

// isip include files
//
#include <CommandLine.h>
#include <AudioDatabase.h>
#include <FeatureFile.h>
#include <StatisticalModel.h>
#include <SupportVectorModel.h>

static const String PROG_NAME(L"isip_svm_classify");
static const String OPTION_MODEL_FILE(L"model_file");
static const String OPTION_OUTPUT_FILE(L"output_file");
static const String OPTION_AUDIO_DB_FILE(L"audio_database");
static const String OPTION_DEBUG_LEVEL(L"debug_level");
static const String OPTION_VERBOSITY_LEVEL(L"verbose");
static const String OPTION_LOG_FILE(L"log_file");

static const String EMPTY(String::NULL_STRING);
static const String LOG_FILE_DEFAULT(L"-");

static const Integral::DEBUG DEBUG_LEVEL_DEFAULT=Integral::NONE;
static const Integral::DEBUG VERBOSITY_LEVEL_DEFAULT=Integral::NONE;

// end of file
//
#endif
